Replace the caller's password. Every other session is signed out.
POST
/api/v1/me/password
const url = 'https://example.com/api/v1/me/password';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"current_password":"example","new_password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/me/password \ --header 'Content-Type: application/json' \ --data '{ "current_password": "example", "new_password": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
current_password
required
string format: password
new_password
required
string format: password
Examplegenerated
{ "current_password": "example", "new_password": "example"}Responses
Section titled “Responses”Password changed
Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}